[Snort-users] Snort 2.9.0 Now Available

Eoin Miller eoin.miller at ...14586...
Mon Oct 4 19:52:27 EDT 2010


  On 10/4/10 7:24 PM, waldo kitty wrote:
> On 10/4/2010 17:44, waldo kitty wrote:
>> On 10/4/2010 16:36, Snort Releases wrote:
>>> Snort 2.9.0 is now available on snort.org, at
>>> http://www.snort.org/snort-downloads/.
>> trying to compile from sources and run into a problem with missing libdnet... is
>> this lib absolutely necessary or is there a way to disable it if it is not?
>>
>> :?
> i forgot to mention that this failure comes in the configure section of our
> build... it looks like russ was right in that this libdnet library is now
> required even if we use NO compile time options :sigh: :?
>
>
It is in the changelog:

* Snort no longer depends on libnet and uses libdnet instead.

Also libdnet is going to be called libdumbnet in most Linux package 
based repositories. However it is going to install the libraries under 
different names so it still can't find it when being installed. Just 
pull the source and compile/install prior to configure/make with Snort 
(or just make the appropriate symlinks):

http://code.google.com/p/libdnet/downloads/list

Don't forget to grab daq from snort.org and compile/install it first, 
that had me banging my head against the wall for like 10 minutes trying 
to figure out what was goin on when I was playing with the beta. 2.9.0 
is super awesome though for many many reasons and everyone should 
upgrade happily.

-- Eoin




More information about the Snort-users mailing list